"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MultiHighlighterWithComponentRule = exports.MultiHighlighterWithRule = exports.MultiHighlighterInsideIgnore = exports.MultiHighlighterWithCustomColors = exports.MultiHighlighterPreview = void 0;
const react_1 = __importDefault(require("react"));
// import { EnterpriseOffering } from '@teambit/evangelist.pages.enterprise-offering';
const react_ui_highlighter_component_metadata_bit_component_meta_1 = require("@teambit/react.ui.highlighter.component-metadata.bit-component-meta");
const design_ui_icon_button_1 = require("@teambit/design.ui.icon-button");
const ignore_highlighter_1 = require("../ignore-highlighter");
const multi_highlighter_1 = require("./multi-highlighter");
const MultiHighlighterPreview = () => {
    return (react_1.default.createElement(multi_highlighter_1.MultiHighlighter, { style: { padding: 40, minWidth: 200 } },
        react_1.default.createElement(react_ui_highlighter_component_metadata_bit_component_meta_1.MockedComponentWithMeta, null, "hover here"),
        react_1.default.createElement("br", null),
        react_1.default.createElement("br", null),
        react_1.default.createElement("br", null),
        react_1.default.createElement(design_ui_icon_button_1.IconButton, null, "this will be highlighted with dropdown")));
};
exports.MultiHighlighterPreview = MultiHighlighterPreview;
const MultiHighlighterWithCustomColors = () => {
    return (react_1.default.createElement(multi_highlighter_1.MultiHighlighter, { style: { padding: 40, minWidth: 200, color: 'yellow' }, bgColor: "cornflowerblue", bgColorHover: "blue", bgColorActive: "DarkSlateBlue" },
        react_1.default.createElement(react_ui_highlighter_component_metadata_bit_component_meta_1.MockedComponentWithMeta, null, "hover here"),
        react_1.default.createElement("br", null),
        react_1.default.createElement("br", null),
        react_1.default.createElement("br", null),
        react_1.default.createElement(react_ui_highlighter_component_metadata_bit_component_meta_1.MockedComponentWithMeta, null, "also here")));
};
exports.MultiHighlighterWithCustomColors = MultiHighlighterWithCustomColors;
const MultiHighlighterInsideIgnore = () => {
    return (react_1.default.createElement(ignore_highlighter_1.ExcludeHighlighter, null,
        react_1.default.createElement(multi_highlighter_1.MultiHighlighter, null,
            "Multi Highlighter should still work when inside ",
            react_1.default.createElement("code", null, '<ExcludeHighlighter>'),
            react_1.default.createElement("br", null),
            "It should only skip exclusion zones inside of it.",
            react_1.default.createElement("br", null),
            react_1.default.createElement("br", null),
            react_1.default.createElement("br", null),
            react_1.default.createElement(react_ui_highlighter_component_metadata_bit_component_meta_1.MockedComponentWithMeta, null, "hover here"),
            react_1.default.createElement("br", null),
            react_1.default.createElement("br", null),
            react_1.default.createElement("br", null),
            react_1.default.createElement(react_ui_highlighter_component_metadata_bit_component_meta_1.MockedComponentWithMeta, null, "also here"))));
};
exports.MultiHighlighterInsideIgnore = MultiHighlighterInsideIgnore;
const MultiHighlighterWithRule = () => {
    return (react_1.default.createElement(multi_highlighter_1.MultiHighlighter, { rule: "#someSubTree *", style: { minWidth: 300 } },
        react_1.default.createElement("div", null,
            "element filter: ",
            react_1.default.createElement("code", null, "\"#someSubTree *\"")),
        react_1.default.createElement("br", null),
        react_1.default.createElement(react_ui_highlighter_component_metadata_bit_component_meta_1.MockedComponentWithMeta, null, "no highlighter"),
        react_1.default.createElement("br", null),
        react_1.default.createElement("br", null),
        react_1.default.createElement("br", null),
        react_1.default.createElement("div", { id: "someSubTree" },
            react_1.default.createElement(react_ui_highlighter_component_metadata_bit_component_meta_1.MockedComponentWithMeta, null, "this will be highlighted"))));
};
exports.MultiHighlighterWithRule = MultiHighlighterWithRule;
const MultiHighlighterWithComponentRule = () => {
    return (react_1.default.createElement(multi_highlighter_1.MultiHighlighter, { componentRule: "teambit.design/ui/icon-button", style: { minWidth: 300 } },
        react_1.default.createElement("div", null,
            "component filter: ",
            react_1.default.createElement("code", null, "\"teambit.design/ui/icon-button\"")),
        react_1.default.createElement("br", null),
        react_1.default.createElement(react_ui_highlighter_component_metadata_bit_component_meta_1.MockedComponentWithMeta, null, "no highlighter"),
        react_1.default.createElement("br", null),
        react_1.default.createElement("br", null),
        react_1.default.createElement("br", null),
        react_1.default.createElement(design_ui_icon_button_1.IconButton, null, "this will be highlighted")));
};
exports.MultiHighlighterWithComponentRule = MultiHighlighterWithComponentRule;
// export const HighlightingAllElementsInTheEnterprisePage = () => {
//   return (
//     <MultiHighlighter>
//       <EnterpriseOffering style={{ height: 300 }} />
//     </MultiHighlighter>
//   );
// };
//# sourceMappingURL=multi-highlighter.composition.js.map